## network-monitor 3.0.0-fremantle5

=== src/Makefile ===
#
# Makefile for IPTraf 3.0
#

#
# Architecture determination string borrowed from the kernel makefile.
#
ARCH 		:= $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ \
			-e s/arm.*/arm/ -e s/sa110/arm/)
PLATFORM 	= -DPLATFORM=\"$(shell uname -s)/$(ARCH)\"
VERNUMBER	:= $(shell cat version)
VERSION 	= -DVERSION=\"$(VERNUMBER)\"

#
# Binary distribution will be placed here.
# Production use only
#
BINDIR		= ../../iptraf-$(VERNUMBER).bin.$(ARCH)

CC		= gcc
#LIBS		= -L../support -ltextbox -lpanel -lncurses   # in this order!
LIBS		= -L../support -L./lib -ltextbox -lpanel -lncurses   # in this order!

# comment this one out to omit debug code when done.

DEBUG		= #-g #-DDEBUG

# comment this one out to prevent generation of profile code

PROF		= #-pg

# options to be passed to the compiler.  I don't believe they need to be
# modified (except for -m486 on non-Intel x86 platforms).

CFLAGS		= -Wall #-O2 #-m486
DIRS		= -DWORKDIR=\"$(WORKDIR)\" \
		  -DLOGDIR=\"$(LOGDIR)\" -DEXECDIR=\"$(TARGET)\"
LDOPTS		= #-static

# you may want to change this to point to your ncurses include directory
# if the ncurses include files are not in the default location.

#INCLUDEDIR	= -I/usr/include/ncurses -I../support
INCLUDEDIR	= -I. -I./ncursesw -I../support

# You can uncomment this one to disable the backspace key in input fields.
# This means you must use the Del key or Ctrl+H combination to erase the
# character left of the cursor.  You may need to use this directive if you
# have an earlier version of ncurses.  (Please note that earlier ncurses
# versions have quirks that may result in undesirable screen behavior as
# well.)

BSSETTING	=# -DDISABLEBS

# Define this one to allow non-root users to use the program when setuid
# root.  Undefine to restrict use to root only.  It is recommended that
# you restrict execution to root only.  This option does not install the
# executable program with the setuid bit on, or with world-execute
# permissions.  If you want it, you'll have to do it yourself with chmod.
#
# I have no plans to modify this program to be used by other users.

EXECPERM	=# -DALLOWUSERS

###################################################################
############### IPTRAF DIRECTORY DEFINITIONS.  YOU MAY CHANGE THESE
############### TO SUIT YOUR PREFERENCES.
###################################################################

# installation target directory.  The iptraf and rvnamed programs get
# stored here.  iptraf also exec's rvnamed from this directory.

TARGET		= #/usr/local/bin

# The IPTraf working directory; if you change this.  Starting with this
# version, this definition overrides dirs.h.

WORKDIR		= #/var/local/iptraf

# The IPTraf log file directory.  IPTraf log files are placed here.
# This definition overrides dirs.h

LOGDIR		= #/var/log/iptraf

#
# IPTraf lock file directory.  This is /var/run/iptraf/ and will not
# be passed to the compiler.  If you want to change this, you must edit
# dirs.h.
#
# ******************** !!!!!! WARNING !!!!!! ********************
# DO NOT MAKE THIS POINT TO AN EXISTING/SYSTEM DIRECTORY!!!!  THE
# LOCK OVERRIDE (iptraf -f) WILL ERASE FILES HERE!
#*****************************************************************
LOCKDIR		= /var/run/iptraf

#####################################################################
############### IPTRAF COMPILATION AND LINK RULES
#####################################################################

# Object file names

OBJS = iptraf.o itrafmon.o packet.o tcptable.o othptab.o ifstats.o deskman.o \
ipcsum.o hostmon.o fltedit.o tr.o cidr.o \
fltselect.o ipfilter.o fltmgr.o ipfrag.o serv.o servname.o instances.o \
timer.o revname.o pktsize.o landesc.o isdntab.o options.o promisc.o ifaces.o \
error.o log.o mode.o getpath.o bar.o parseproto.o

BINS = iptraf rvnamed rawtime

all: $(BINS)
	@echo
	@size $(BINS)

iptraf: $(OBJS) textlib
	$(CC) $(LDOPTS) $(PROF) -o iptraf $(OBJS) $(LIBS)

textlib:
	make -C ../support

%.o: %.c *.h version
	$(CC) $(CFLAGS) $(DIRS) $(INCLUDEDIR) $(VERSION) $(PLATFORM) $(PROF) $(DEBUG) $(EXECPERM) $(BSSETTING) -c -o $*.o $<

rvnamed: rvnamed.o getpath.o
	$(CC) $(LDOPTS) $(PROF) -o rvnamed rvnamed.o getpath.o

rvnamed.o: rvnamed.c rvnamed.h
	$(CC) $(CFLAGS) $(PROF) $(DEBUG) -c -o rvnamed.o rvnamed.c

rawtime: rawtime.c
	$(CC) $(CFLAGS) $(LDOPTS) $(PROF) $(DEBUG) -o rawtime rawtime.c


# rule to clear out all object files and the executables (pow!)

clean:
	rm -f *.o *~ core $(BINS)
	make -C ../support clean 

# I just included this rule to clear out the .o files, leaving the
# executables, stripped and ready for packing.

cleano:
	rm -f *.o *~
	strip iptraf
	strip rvnamed

# installation rule

install:
	@./install.sh $(TARGET) $(WORKDIR) $(LOGDIR) $(LOCKDIR)

# Upgrade rule
#
#upgrade: updatefilters
#	@./updatefilters
#
# I use this special rule to force linking of the panels and ncurses
# libraries into the executable, since there seems to be a lot of
# libncurses.so.3 installations around, and some don't have libncurses.so
# at all.  Till then, I'll force them in.  Do not use this rule under
# normal circumstances.
#
# This rule also creates a separate directory containing the documentation
# and the compiled programs for release as a ready-to-run distribution.

dist-bin: all
	$(CC) $(LDOPTS) $(PROF) -o iptraf $(OBJS) -L../support -ltextbox /usr/lib/libpanel.a /usr/lib/libncurses.a
	rm -rf $(BINDIR)
	mkdir $(BINDIR)
	/bin/cp -p ../CHANGES ../LICENSE ../FAQ ../INSTALL ../README* \
	../RELEASE-NOTES ../Setup $(BINDIR)
	/bin/cp -pR ../Documentation $(BINDIR)
	mkdir $(BINDIR)/src
	/bin/cp -p $(BINS) Makefile install.sh version $(BINDIR)/src
	strip $(BINDIR)/src/iptraf $(BINDIR)/src/rvnamed $(BINDIR)/src/rawtime

#$(BINDIR)/src/updatefilters

#
# Just in case anyone needs to link a static binary
#
static: $(OBJS)
	$(CC) -static $(PROC) -o iptraf $(OBJS) ../support/libtextbox.a -lpanel -lncurses
	$(CC) -static -o rvnamed rvnamed.o getpath.o
	$(CC) -static -o rawtime rawtime.c

#
# Production rules.  These rules are used to automate production of
# the source and ready-to-run tarballs.  These won't really be needed by
# the general public.
#
tarball: clean
	(cd ../..;tar zcvf iptraf-$(VERNUMBER).tar.gz iptraf-$(VERNUMBER))

binball: dist-bin
	(cd ../..;tar zcvf iptraf-$(VERNUMBER).bin.$(ARCH).tar.gz iptraf-$(VERNUMBER).bin.$(ARCH))

alldist: tarball binball

=== support/Makefile ===
INCLUDEDIR		= -I./../src -I./../src/ncursesw

OBJS			= input.o menurt.o listbox.o winops.o labels.o \
				msgboxes.o txbox.o

all: libtextbox.a

libtextbox.a: $(OBJS)
	rm -rf libtextbox.a
	ar cq libtextbox.a $(OBJS)
	ranlib libtextbox.a
#	gcc -shared -o libtextbox.so $(OBJS)

%.o: %.c *.h
	gcc -O2 -g -Wall -fPIC $(INCLUDEDIR) -c -o $*.o $<

clean:
	rm -rf *.o *~ libtextbox.a libtextbox.so

=== debian/changelog ===
network-monitor (3.0.0-fremantle5) stable; urgency=low

  * Initial release (Closes: #3.0.0-fremantle5)

 -- Luigi Cotignano <n900.altervista@gmail.com>  Sat,  6 Mar 2010 18:57:11 +0100

=== debian/control ===
Source: network-monitor
Section: user/network
Priority: extra
Maintainer: Luigi Cotignano <n900.altervista@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 6.11-5

Package: network-monitor
Architecture: armel
Provides: recovery-tools
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: IPTraf is a console-based network statistics utility
 IPTraf gathers a variety of figures such as TCP connection packet and byte 
 counts, interface statistics and activity indicators, TCP/UDP traffic 
 breakdowns, and LAN station packet and byte counts
XB-Maemo-Display-Name: IPTraf Network Monitor
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1427
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABmJLR0QA/gD+AP7rGNSCAAAACXBI
 WXMAAABIAAAASABGyWs+AAAACXZwQWcAAAAwAAAAMADO7oxXAAARGElEQVRo3u2aeYxdZ3nGf+/3
 neUuc+/MXI894/F4i+0kjrOQDUISINCKraihSCAolEVCLWqhFAmhbmpRpdKqFVU3KrWiVWkCapO0
 qJQlkaAkQFlCFidxsB0v8Tb27Mvdz/J9b/84184kngRC6fJHj/TqHJ1759zneZfnfb/vDPz/8b97
 yE/+kW8HjgnDrw/ZtiVAFM7MOZa+msFNHv74/xKBj/GOb/4yX//tr8TXvHzPth0TtSs2NKpX1Mp2
 ZxyFY0FoyyiSZ3k/SbKFdt+fWFzpHDo12z7w2MPHT5659/09qVwFvQP/wwR2fxKO/jW3ffjPJ6++
 fNNPT03U3jQ2Vr1xqFbaXK5EcRAarAErgqjinSfLHGnq6HbTrNVKZpZWeo9Mz3e+9INji/d97S/v
 OR3fdLUm93/wv5nA5X9B++AH+ZkPfWXTtVdtfvuOrSPv2bCpdmWlXopsHGCsYI0QGwgEnCqZU3Kn
 5M7jXEHGesWlOZ1WP59f6B4+NdO684mn5u/8+idfe8a8/g70vnf/yJDsj+z0d36epX4anFxIX/ey
 l2z58917xt5fnxjeYqqxJTRghTAQqpGAQM8riVcyFEdBxilERhAR2rnHhoEplcNNlUr06vFG5ZWf
 /vLR5dMzraO7X/k+N/fw535yBG750Jdpd9L62954xUcu29X4o01TI3vDkYrJA4NYAVsAr0SGripd
 rzgBJ6CAQ/EIIlANhdXUkbgiOoE1OMSEUbClXolet3lDtXZ6rvnopbe9t3f6O3f+1wnc9psPML+c
 bHrVDVN/uGNq+MOVjbVadbhEZgQ1ggRQj4RyaFh1SqKgAn4A3kMRASA2ggCrqcN5JfdFetViQ2CE
 vqcUBfblo0PlHadm+9+77o0faB554O9+fAJX/tK9nJ1rb7jlmolPbt1ce2/QGApKtZhSydIHsMJw
 bKiEhkWnpIAXwQ+Aey3Sx2uRQlVr6Hulkym5FgSyXJmsReweK3FuNaWdeBOFZl8lDnY+eXThm3te
 /4HWmW9tBR5YF6N5PvDjb7uLA4dPlm/Yu/F3xhuVdzFUMj4OCEMhR8mAUihUAsNs6ul5JVcKr14w
 yD1kHpwvFKOXQ6ZCTmEYIbCGwBoatYhqJUStkeF6/OZLd4z+wYHHTg9P/fy1z+vkdQlU3/APzN71
 Nm698dL3TowNvZ9yZFwpxAkEgSFRMAbqoWEu8XRzyN0zlnkhc0LmIBvcc17wKvSdkquQe8Gp0KiE
 lEKDV9g7UWHnxjKjtZhSOZCJjdV3XHfVlg+eufv7duRNn12XQLDezT27J1l535du3DxW/VgQBxVX
 jnAieBGMERIPY7GllSmrmWKMYFQwAkKhQihFMWjhpUJaBVXBe8i9YTQ21CND4qAxHDBSMkRGUK90
 ezltm4Vjo5Vf3fOeV3y3MVz52ve++CNEYPitd7H/iVOVqU1DH6kNxTvyKMRbi0NQKSQwNoIVYa7n
 ST0XPJ06Ib1wXZxBGLKWzbFlU2zYEFvKgWFTOaBkLCeajlZa/HYpMIxWAhBDz0EnhzAKNm0crXz0
 4YMzo423fv6Fi7j8hjvYsXWSuBS9btfU8K+Xa3FsKjE2skSxZbgcMjEUUgstC4nSykHV4JHCPHgV
 3CA9UGHICtvKwu6hgkA0cEArUZ5uOnIHm8qFH/uZ0ss8xxcTzq1mdPuO3HnEszXJ9fC2yQ2Ptza+
 luTwPeunUFypcGD/qdKV10z9wnAtrksc4kQQYxgphVwyHLGnHtLOlZm+Q72QqSAqGF/ofOHz4iJQ
 xQKjIkzEhsiCd8KZJeX0osN52Fy3nGl5nl7OGYlgrCTMtT2dDJxYHJYwDuJaJX73Q4+f+kK9Gq4+
 bw3EcYnGZHhltRK+yltLoxbjw4AoCpiqhexrRGyvBUx3PcOhspQoqSuAF1ZcqwffV8JcoSYEw4Lz
 kAKLXVjognjD5rIwu+KYaztElDPimawKvVzoO8GJwRmDN4ZyKXzp6MjQjdbar65bA/Xb72Trzh1U
 ytFrhqrReM/DQtdTjQN2N2J2jURMDQVUQ6EaCGVjigi4wnIneAeSQtRVRhXGSwYrwolV5cC85/iy
 5/CiZ6EHjYpltqNMt6CfGzoJrHThXEsJA1t4f41FcVCPo+C1c597A/Xb7744AkFQ4YmH9pcnpsZv
 rVYixAa0EuXEUk5c8lw6VqiM08IqVtgUG2oejAwUKAfvIBfoZ7DUgcx7KqEwUhamanBsWSmHwkJH
 mW6C94LTQkadh9W+MloyGGtx4vFicRhMEBCEwc3V2+8eCaJg5SICJowp18NxMXavwzBajVhxhsQJ
 cx3l2IpjQ8VSi4RDy54nF5WFRItiFcWlkHWL5lUUMwMtFZp9ZaGjlK1hsibMtJQTK0rmBdXiu96b
 onPnnkwNQRCQ43AYvBhUDDYILolL1SljZB0CQYg1+RYJ7MZuBv0ctozGLKaC94Z2CrMdz+mWcLyp
 HFvx9NxA8DPwqSI6eJg+k6OKogpDEdwwabhsg+HTj2R0Ux18LnilIOIN3iu9HKKgKODz5o0FYxqC
 bLc2OHARARsE+NRPIKbqMMy0PGFZuXyiTK0SsnvEUo8MT68qSQbtXjEm4EEzHTSu85AKQBdIKPhA
 qAaQOqXZV7JcBvTAU0RCVXDe0MmkqAPMBfMYMDYyYTgVlsrr1EBUwamMOjU2cWBVONvyjNaUl24L
 uHoiIBBhseeoWgEHSaKIO991lQtZo/pMIAbe7Vv49+OOwMLRBU+WA3K+WRdRKqJh6OXKUFCkjReD
 F0umglMjYoKGRKV1ZDSIkDSLczUy3/bUAqVqYKatzHWUQIRyKFQCYVNF2VkTvjbrSHLwXvEOnFe8
 B1Ud1EAxVYjAFROWew9lxGEhqaeWFWPBWrAGxIAZ9JFSIsSBoZsbstyQpkqnpzgEa01sAnsxAUUR
 I05ENHMiK12ljSKR5/EZx9ZhRykQDs579jQM77oqYP+047GznjRX1A88rwUBI8W0OhQJwyWhHsF3
 znpEYN+EZaXrSRUkKOYrMWBMkYeZQhgo8z3FpYpPio4fRQFpmuelOLiYgM8yvHctQ6TnO5JXYaWn
 7D/nqJUcXoUHTzsqgfCWKwJ2jhhCgZWuMtf2NLuQZEXOVGJh1wbD3nHLzoahmShPnnOca3o6iTBV
 F46tFmHyKOZ8yomgAuVQMFbIRYgiSzUI6bqMrpdmv+8uJuCcQ2EGpI9KBYrJsZfBqRXPEzOefg5H
 FpR+5lnqKmULxxcdG8rCzhGDHYVuqrQTT70kvHy75TV7AraNGB496zg6Z1jqeI7OO66eCjjXVzqu
 AO8Hc4g1cPNWyzuvDGmUlP3TSuhgfj6nk/rcOTeTdnvrRMArYM8qsqQqlfNrQu+hlxbK0cuFTlqk
 y9OLjusnLerh4ExOIFAOoF4SxqrCpWOWa7dYrpqw1EtCP4N9E57Zludcy6MGrttiObjosRbCQIhD
 YbgEb9oTcsNmy8GFgMfOCWeWHJ2ux6tpgpzMc7ceAY937qyNSyfU65SqggcZqIjzikGKXPdKN1dO
 LXt2jxlW2o40V9IUVtqes0vQ7itjFWHbiKFREY4vOVo9TzWEyVFDDlwxZhipCuc6igo4hMQr953I
 SZznvuMZqYfhskUSQ7PJ2X7mT8maCe7CZZ7mrP7jx5vjv/gn38dzq7rzLbJ4eJpDHAzkcrBaP73k
 GCtbtjcMR2Zc8X2F3CkzK45vH8/YUCmidmjW8fjZnDMtJQsFCRzHVjz7NluOrnhWs2KVVwqFGyfh
 khHD5prhxCI0E08v8bhcH+nMLswPbR67QOCCHiUHPsPEB/4Vdd4aa98sNogIAjAWFUM5NNRLhpmm
 4r2iXnFeafY8ezZa2n2l3feFEPmimL0qIvD1p1IOzzrme0pqBbWAEboObCDsbBiWUmW8JuzbaBiv
 Cqup8sUjCWeWU5J+TtZJs7yV/OnQ5NT+xYPfQk/f+5w+AGRJH1S/Z1y0X5y/hdyDVVQ8ncQTDRss
 xTCng8672lWOzuXsHbd0ep5WT4s+4CEycGzO8dSMg0ggEkT0wrJTBY6vekaHDG+5LGC6oxxa8sz1
 wOA53Rrkuld84g+7NL/fu1X8t3/tAuZnLSm9g6GxiUWf+3/yuXeaezT34JRu34NCKQAdDC860P0z
 y57ZpuPqLcEgzSAw0KgaFnuePAQfDLruQCYZXFdjQyUSOg5yoO0gDKCTeVQHkU4cvu/v+d07bjrd
 SztrIT97Sdl/7NMEl78bdW7aBMErxJgpNUWb9CqMVgyqsNLzhWYPuq56WOp4RiuGraPFIn1y1LBv
 a8hsz9PJC3Bq5MJOHkYYqRqum7Sc7SoPzXviULhp0nLzhOXUas5cs5gq3XJyMG/1fuuBf5tdat5x
 87MIXLSoX1w9x/DYtmmXuT/zmeuQ5Wie43LHQssxUgZhUNwXBjjIFZ6cyYki4WdfEvNz18a8clfI
 9VtDpkYNUSCDCBRWiYWrJyxnOsrxpidT5akVTz9XdtaFTWWhasG089S100/te+t1R7JO57lw19mZ
 O/g52PMO8n563IbRJCLXIwYQssEadqWrJPkzE+hgjMMD1gi3XRpy+76IveOWMBBmO8psW0m8gIUo
 Eq7dEtDM4UjTw2AWQqCbeY4u5Tw5k5IsJCTzvX9J2v3fnz80l6x89qUXwV13Y2v5M9djK9Vulqaf
 8Fn+DZ/maJbT6+YsNXM2VuDCEM8zU5sMttTn2woiNCqGybphKDbYQAqgFvaMWRA4vFyMstYUBV8y
 SoDn6ELGwtk+reneo/1m/+NBubq69PnPrAf1+fdGe4/8FSOv/r1V1+88IcjLUCbQYqEzXre0elqM
 xINDB8piBGwAtVJRwOfayslVz7FlT9fBeN2wa4Pl8YWcTIVyBI2SMF4RGpESOGXuZJf0XO+o6yW/
 Eo1d8tD8p7ZA8t11cb7QC47zn2njPQ/fYsu1T0kQXoO1TDQiwshyasnjVQbKUuR4YGF0yPDqyyJ6
 uTLTVobKQurhZMuzvWE52XZMd5RSJGyuGbYPC7UQOs2ck8c6TJ/sPtVvrX54+c4b7mOtj15MBAYE
 DBD2HvubmWDzrY9KVN8lJtjWS7xUY8EA/cw/6zc8kDilHAmHFxxHFxwnVhyJV16yOWBjVTjbLlSs
 GsFkRdhglGQxZfp4V2dOrz7Unv7BR1fu/qlvrnXi84F8IQJmYAFQSp66p+l7q4+Y2vZITeWSfmri
 oVhQp2SZB1VkMDgpUC8bVnqeVqooSj9XShEcX3aIV+pGqTlP1M5YPZdw8ulWd/rEiS/MP/S3n+h8
 42NPDjB4nlms/tgRsOdJuIUnNDn2pcNgp33YGM18uVEKrUUVlxUN7/z8VAogz5Re30HuqRrF5p5T
 0ykrswnNcynd+ZTVhV42e+b0odnHvvD3S/f/xl35mfvnKN6H5IOzfyECL1QDayMQA2WgBowAo6a2
 bWu05y03xltve1l5w85LNKwN5WrMYJ5jqGwIrLDcccWuRFxsCDc7DlGnmnU62jp1Ijv7Hw8mR/75
 Qb9y5ASwAiwDLaAHJEA2IOFfLAFZQyIckKgAQ8AwMAqMSDi0yY7fuD3acvOuoLF3u1TGxwjrQyYs
 hVFgbT9TUe+d0X5G1m5nrdlFt3zolJv57rF89sETmqzMrgG+ug74tVF40QSeG4noOURqa2wIE9al
 NFoz1c01iRtlseUIEHVJqslSz3dnWtpfbOHSJtAegG0BTaADdIE+xTZq/hzPv2gCa79z3s7Xw1oy
 pUF6lQYWDyIWrPk7PwCUDcD1B17uDywZ3M94JvdfsHhfDIH1iKwt8LWk7Jqz4dkyuPaFZb4G6FpP
 P7dg9Ydg+rH/V0LWnH+YnQfyQgYvAvTa4z8BAaYunQB4mGAAAAAuelRYdGNyZWF0ZS1kYXRlAAB4
 2jMyMLDQNbDQNTIJMTCwMjKzMjbSNTC1MjAAAEH2BRSnIlsOAAAALnpUWHRtb2RpZnktZGF0ZQAA
 eNozMjCw0DWw0DUyCDE0szIytDIx0TUwtTIwAABB9gUVv8UUywAAAABJRU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	./Setup
	#$(MAKE)
	#docbook-to-man debian/network-monitor.sgml > network-monitor
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 
	rm -rf $(CURDIR)/debian/network-monitor

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/network-monitor
	#$(MAKE) DESTDIR=$(CURDIR)/debian/network-monitor install

	# Copy sudoers
	mkdir -p $(CURDIR)/debian/network-monitor/etc/sudoers.d
	cp etc/sudoers.d/network-monitor.sudoers $(CURDIR)/debian/network-monitor/etc/sudoers.d/

	# Copy executables
	cp src/iptraf  $(CURDIR)/debian/network-monitor/opt/network-monitor/
	cp src/rawtime $(CURDIR)/debian/network-monitor/opt/network-monitor/
	cp src/rvnamed $(CURDIR)/debian/network-monitor/opt/network-monitor/

	# Copy shortcuts
	mkdir -p $(CURDIR)/debian/network-monitor/usr/share/applications/hildon/
	cp shortcuts/iptraf.desktop $(CURDIR)/debian/network-monitor/usr/share/applications/hildon/

	# Copy icons
	mkdir -p $(CURDIR)/debian/network-monitor/usr/share/icons/hicolor/48x48/hildon/
	cp icons/iptraf.png $(CURDIR)/debian/network-monitor/usr/share/icons/hicolor/48x48/hildon/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs $(CURDIR)/debian/changelog
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	
binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
